exports.accountPermissions = (req, account) => {
  if (req.user.id === account.id) {
    return true;
  }
  return false;
}

exports.orderPermissions = (req, order) => {
  if (req.user.id === order.user) {
    return true;
  }
  return false;
}

exports.walletPermissions = (req, wallet) => {
  if (req.user.id === wallet.user) {
    return true;
  }
  return false;
}

exports.transactionPermissions = (req, transaction) => {
  if (req.user.id === transaction.user) {
    return true;
  }
  return false;
}

exports.bidPermissions = (req, bid) => {
  if (req.user.id === bid.user) {
    return true;
  }
  return false;
}

exports.productPermissions = (req, product) => {
  if (req.user.id === product.user) {
    return true;
  }
  return false;
}
